# Class AccountAgeWitnessStore

#### Hierarchy

- unknown
  - AccountAgeWitnessStore

- Defined in src/protobuf/pb_pb.d.ts:5577
- Defined in src/protobuf/pb_pb.d.ts:5591

#####
Index

### Constructors

constructor

### Methods

addItems
clearItemsList
getItemsList
serializeBinary
setItemsList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new AccountAgeWitnessStore(): AccountAgeWitnessStore

- #### Returns AccountAgeWitnessStore

  Inherited from jspb.Message.constructor

## Methods

### addItems

- addItems(value?: AccountAgeWitness, index?: number): AccountAgeWitness

- #### Parameters

  - ##### `Optional` value: AccountAgeWitness

  - ##### `Optional` index: number

  #### Returns AccountAgeWitness

  - Defined in src/protobuf/pb_pb.d.ts:5581

### clearItemsList

- clearItemsList(): AccountAgeWitnessStore

- #### Returns AccountAgeWitnessStore

  - Defined in src/protobuf/pb_pb.d.ts:5580

### getItemsList

- getItemsList(): AccountAgeWitness[]

- #### Returns AccountAgeWitness[]

  - Defined in src/protobuf/pb_pb.d.ts:5578

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5583

### setItemsList

- setItemsList(value: AccountAgeWitness[]): AccountAgeWitnessStore

- #### Parameters

  - ##### value: AccountAgeWitness[]

  #### Returns AccountAgeWitnessStore

  - Defined in src/protobuf/pb_pb.d.ts:5579

### toObject

- toObject(includeInstance?: boolean): AccountAgeWitnessStore.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns AccountAgeWitnessStore.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5584

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): AccountAgeWitnessStore

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns AccountAgeWitnessStore

  - Defined in src/protobuf/pb_pb.d.ts:5587

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: AccountAgeWitnessStore, reader: BinaryReader): AccountAgeWitnessStore

- #### Parameters

  - ##### message: AccountAgeWitnessStore

  - ##### reader: BinaryReader

  #### Returns AccountAgeWitnessStore

  - Defined in src/protobuf/pb_pb.d.ts:5588

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: AccountAgeWitnessStore, writer: BinaryWriter): void

- #### Parameters

  - ##### message: AccountAgeWitnessStore

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:5586

### `Static` toObject

- toObject(includeInstance: boolean, msg: AccountAgeWitnessStore): AccountAgeWitnessStore.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: AccountAgeWitnessStore

  #### Returns AccountAgeWitnessStore.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5585

Generated using TypeDoc